English Amiga Board


Go Back   English Amiga Board > Support > support.Apps

 
 
Thread Tools
Old 31 July 2020, 02:48   #1
DungeonMaster85
Registered User

DungeonMaster85's Avatar
 
Join Date: Jul 2020
Location: Milltown / USA
Posts: 10
Problems with AmiSSL in OS 3.9

Hello!
I am an Amiga noob here, so excuse me if this seems like an easy question. I am trying to install AmiSSL 4.6 on my Amiga running OS 3.9. However, whenever I try to get to a secure website from Ibrowse 2.5.3, It gives me an error saying that it cannot find AmiSSL . What are some things I can do to fix this?
DungeonMaster85 is offline  
Old 31 July 2020, 03:47   #2
Amiga4000
Registered User
Amiga4000's Avatar
 
Join Date: Nov 2014
Location: The Ford Galaxy
Posts: 152
Try this.........

Install AmiSSL in SYS:Internet/AmiSSL/

Add (or verify) this in User-Startup:


;BEGIN AmiSSL
Assign AmiSSL: "SYS:Internet/AmiSSL"
If Exists AmiSSL:Libs
Assign LIBS: AmiSSL:Libs ADD
EndIf
Path AmiSSL: ADD
;END AmiSSL

- Create the folder "AmiSSL" in "SYS:Prefs/Env-Archive/"


- Run the command "setenv save AmiSSL/SSL_CLIENT_VERSION tls1"


- This will create file "SSL_CLIENT_VERSION" in SYS:Prefs/Env-Archive/AmiSSL/


- File "SSL_CLIENT_VERSION" create inside written file "tls1"

- Verify that file "SSL_CLIENT_VERSION" was saved in SYS:Prefs/Env-Archive/AmiSSL/


- Reboot.
Amiga4000 is offline  
Old 31 July 2020, 09:48   #3
npagonis73
Registered User

npagonis73's Avatar
 
Join Date: Sep 2019
Location: Corfu / Greece
Posts: 146
Also you need to install the pervious versions of AMISSL as well (one after the other). They contain different certificates and libraries that are all required by different sites. So you download all versions from 1.1 to 4.6 and start installing it one after the other. After the first version it will find where you installed it automatically and update it’s installation and it will also ask you to make the assigns that described by the guy above so you don’t need to do it manually
npagonis73 is offline  
Old 31 July 2020, 10:08   #4
AMIGASYSTEM
Registered User
AMIGASYSTEM's Avatar
 
Join Date: Aug 2014
Location: Brindisi (Italy)
Posts: 6,069
With AmiSSL 4.6 there seems to be no need for previous versions anymore, at the moment I have not found any site that requires old libraries.
AMIGASYSTEM is offline  
Old 31 July 2020, 10:19   #5
npagonis73
Registered User

npagonis73's Avatar
 
Join Date: Sep 2019
Location: Corfu / Greece
Posts: 146
Thanks AMIGASYSTEM, good to know!!!
npagonis73 is offline  
Old 31 July 2020, 10:24   #6
AMIGASYSTEM
Registered User
AMIGASYSTEM's Avatar
 
Join Date: Aug 2014
Location: Brindisi (Italy)
Posts: 6,069
I can also make mistakes, you have to check before singing victory
AMIGASYSTEM is offline  
Old 01 August 2020, 21:13   #7
Futaura
Registered User

Futaura's Avatar
 
Join Date: Aug 2018
Location: United Kingdom
Posts: 96
FYI, the SSL_CLIENT_VERSION environment variable is/was for AmiSSL v3 and IBrowse 2.4. It is no longer used in AmiSSL v4. You will need to install older versions only if you have programs that use them, although most servers will refuse connections from AmiSSL v3 or older these days as the OpenSSL versions used is too old and now obsolete. IBrowse 2.5 will only ever need AmiSSL v4. You can also install AmiSSL wherever you want on OS3.9.

As for the original question, I would suggest using SnoopDos to see exactly what is failing to load.
Futaura is offline  
Old 05 August 2020, 22:48   #8
DungeonMaster85
Registered User

DungeonMaster85's Avatar
 
Join Date: Jul 2020
Location: Milltown / USA
Posts: 10
OK! Thank you so much for the advice. I will try these suggestions, and see if they work. Get back to you soon!
DungeonMaster85 is offline  
Old 08 August 2020, 21:56   #9
DungeonMaster85
Registered User

DungeonMaster85's Avatar
 
Join Date: Jul 2020
Location: Milltown / USA
Posts: 10
I still cannot figure this out. Things still don't work. I have attached some images of what is happening, including a screenshot of what SnoopDOS is showing.


Click image for larger version

Name:	IMG_1653.jpg
Views:	43
Size:	999.6 KB
ID:	68409

Click image for larger version

Name:	IMG_1654.jpg
Views:	34
Size:	944.3 KB
ID:	68410

Click image for larger version

Name:	IMG_1655.jpg
Views:	31
Size:	1.03 MB
ID:	68411
DungeonMaster85 is offline  
Old 08 August 2020, 22:14   #10
npagonis73
Registered User

npagonis73's Avatar
 
Join Date: Sep 2019
Location: Corfu / Greece
Posts: 146
From what I see in snoopdos, it cannot find the various AMISSL libs because of either they have not been installed or have not been assigned properly? Did you finally installed only the 4.6 version or all of them as I told you from the first to last? While installing did you come across the part that makes the AMISSL assign?
npagonis73 is offline  
Old 08 August 2020, 22:16   #11
duga
Registered User
 
Join Date: Nov 2010
Location: Sweden
Posts: 437
Type amissl: in Shell. Where does that take you?
duga is offline  
Old 09 August 2020, 00:00   #12
DungeonMaster85
Registered User

DungeonMaster85's Avatar
 
Join Date: Jul 2020
Location: Milltown / USA
Posts: 10
Quote:
Originally Posted by duga View Post
Type amissl: in Shell. Where does that take you?
It takes me to System:Internet/AmiSSL
DungeonMaster85 is offline  
Old 09 August 2020, 09:59   #13
npagonis73
Registered User

npagonis73's Avatar
 
Join Date: Sep 2019
Location: Corfu / Greece
Posts: 146
So it seems that the assigns are made for it and WB finds the path. Then probably you need to install all versions of AMISSL one after the other in order to have all libs in case it needs them. Did you instal all versions or just the last one?
npagonis73 is offline  
Old 09 August 2020, 10:24   #14
AMIGASYSTEM
Registered User
AMIGASYSTEM's Avatar
 
Join Date: Aug 2014
Location: Brindisi (Italy)
Posts: 6,069
Quote:
Originally Posted by DungeonMaster85 View Post
It takes me to System:Internet/AmiSSL
For "https://bigbookofamigahardware.com/" you don't need to install the old versions.

Check in the user-startup if you have this Assign:
System:Internet/AmiSSL

Check if the library is in this path:
System:Internet/AmiSSL/Libs/AmiSSL/amissl_v111g.library
AMIGASYSTEM is offline  
Old 09 August 2020, 11:13   #15
Mad-Matt
Longplayer

Mad-Matt's Avatar
 
Join Date: Jan 2005
Location: Lincoln / UK
Age: 41
Posts: 1,650
Send a message via ICQ to Mad-Matt Send a message via MSN to Mad-Matt
Looking at the above screenshots it looks like there is no ram to load the ssl libs and thats why they are failing.
Mad-Matt is online now  
Old 09 August 2020, 11:19   #16
duga
Registered User
 
Join Date: Nov 2010
Location: Sweden
Posts: 437
Quote:
Originally Posted by Mad-Matt View Post
Looking at the above screenshots it looks like there is no ram to load the ssl libs and thats why they are failing.
That must be it.

Only 4 MB fast mem?
duga is offline  
Old 09 August 2020, 16:20   #17
DungeonMaster85
Registered User

DungeonMaster85's Avatar
 
Join Date: Jul 2020
Location: Milltown / USA
Posts: 10
Quote:
Originally Posted by duga View Post
That must be it.

Only 4 MB fast mem?

I have 8 megabytes of fast RAM. Maybe I should use a simpler TCP/IP stack program than MiamiDX, which I hear uses up tons of precious RAM.
Also, when I turn down the resolution, and colors of my screen, I have over 2 megs of free fast RAM, and it still doesn't load. So I don't think RAM is the problem. I also have a ClassicWB installation on another card that has AmiSSL working nicely.

Last edited by DungeonMaster85; 09 August 2020 at 17:08. Reason: Needed more information
DungeonMaster85 is offline  
Old 09 August 2020, 18:51   #18
AMIGASYSTEM
Registered User
AMIGASYSTEM's Avatar
 
Join Date: Aug 2014
Location: Brindisi (Italy)
Posts: 6,069
MiamiDX works great, just follow my instructions.
AMIGASYSTEM is offline  
Old 09 August 2020, 21:57   #19
duga
Registered User
 
Join Date: Nov 2010
Location: Sweden
Posts: 437
Quote:
Originally Posted by DungeonMaster85 View Post
I also have a ClassicWB installation on another card that has AmiSSL working nicely.
Which of course has the same AmiSSL version?
duga is offline  
Old 10 August 2020, 18:26   #20
DungeonMaster85
Registered User

DungeonMaster85's Avatar
 
Join Date: Jul 2020
Location: Milltown / USA
Posts: 10
Happy

Oh, I just realized that RAM may actually be my problem. I opened up my classicWB Workbench 3.0 installation, and already I had more RAM than when I started up 3.9. When I loaded up MiamiDX, Ibrowse, and went to a secure site, I only had about 81k of RAM left. I guess I was being a bit cocky when I made my last post. Thank you for your support. I love the Amiga community for always helping out noobs like me. Amiga Forever!!!!!
DungeonMaster85 is offline  
 


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools

Similar Threads
Thread Thread Starter Forum Replies Last Post
New AmiSSL v4.6 stevelord News 1 09 June 2020 13:42
AmiSSL Released AMIGASYSTEM News 91 13 April 2020 19:43
AmiSSL 4 Robbie support.Apps 62 17 February 2020 19:54
AmiSSL 4.0 Sir_Lucas News 6 09 February 2017 12:45
new AmiSSL hal9000 support.Apps 1 14 August 2016 18:23

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT +2. The time now is 18:27.


Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2020, vBulletin Solutions Inc.
Page generated in 0.09653 seconds with 14 queries